apiVersion: cert-manager.io/v1
kind: ClusterIssuer
metadata:
  name: letsencrypt-issuer
spec:
  acme:
    email: {{ letsencrypt_issuer.acme.email }}
    server: https://acme-v02.api.letsencrypt.org/directory

    # Store private key
    privateKeySecretRef:
      name: letsencrypt-private-key

    # Challenge solvers
    solvers:
{% if letsencrypt_issuer.route53 is defined %}
    - dns01:
        route53:
          region: {{ letsencrypt_issuer.route53.region }}
          accessKeyID: {{ letsencrypt_issuer.route53.accessKeyID }}
          secretAccessKeySecretRef:
            name: {{ letsencrypt_issuer.route53.secretAccessKeySecretRef.name }}
            key: secret-access-key
      selector:
        dnsZones:
{% for zone in letsencrypt_issuer.route53.selector.dnsZones %}
          - {{ zone }}
{% endfor %}
{% endif %}
    - http01:
        ingress:
          class: nginx

---
apiVersion: cert-manager.io/v1
kind: ClusterIssuer
metadata:
  name: letsencrypt-issuer-staging
spec:
  acme:
    email: {{ letsencrypt_issuer.acme.email }}
    server: https://acme-staging-v02.api.letsencrypt.org/directory

    # Store private key
    privateKeySecretRef:
      name: letsencrypt-staging-private-key

    # Challenge solvers
    solvers:
{% if letsencrypt_issuer.route53 is defined %}
    - dns01:
        route53:
          region: {{ letsencrypt_issuer.route53.region }}
          accessKeyID: {{ letsencrypt_issuer.route53.accessKeyID }}
          secretAccessKeySecretRef:
            name: {{ letsencrypt_issuer.route53.secretAccessKeySecretRef.name }}
            key: secret-access-key
      selector:
        dnsZones:
{% for zone in letsencrypt_issuer.route53.selector.dnsZones %}
          - {{ zone }}
{% endfor %}
{% endif %}
    - http01:
        ingress:
          class: nginx
